spring:
  config:
    activate:
      on-profile: prod
  data:
    mongodb:
      uri: mongodb://localhost:27017/tunefortwo
      database: tunefortwo
      auto-index-creation: true
  # data:
  # mongodb:
  #   uri: mongodb://localhost:27017/tunefortwo
  #   database: tunefortwo
  #   auto-index-creation: true
  output:
    ansi:
      enabled: always
  servlet:
    multipart:
      max-file-size: 20MB
      max-request-size: 20MB
      resolve-lazily: true
#mail:
#    host: smtp.gmail.com
#    port: 587
#    username: jayaramanravi2003@gmail.com
#    password: tvhspicyhvqhbzrv
#    properties:
#      mail:
#        smtp:
#          auth: true
#          starttls:
#            enable: true
#            required: true
#          connectiontimeout: 5000
#          timeout: 5000
#          writetimeout: 5000
#  mail: 
#    host: sandbox.smtp.mailtrap.io
#    port: 2525
#    username: 23b1470a57ab05
#    password: 74bf57dbb73fa6
#    properties: 
#      mail:
#        smtp: 
#          auth: true
#          starttls:
#            enable: true

  mail: 
    host: smtp.hostinger.com
    port: 587
    username: martinkartenjer@tunefor2.com
    password: hiwqyj-xysfox-3guHzy
    properties: 
      mail:
        smtp: 
          auth: true
          starttls:
            enable: true
  imap:
    host: imap.hostinger.com
    port: 993
    username: martinkartenjer@tunefor2.com
    password: hiwqyj-xysfox-3guHzy

springdoc:
  api-docs:
    path: /docs
  swagger-ui:
    disable-swagger-default-url: true
    path: /ui

server:
  port: 8042
  servlet:
    context-path: /tune/api

logging:
  level:
    org:
      springframework:
        data:
          mongodb:
            core:
              MongoTemplate: DEBUG

rsa:
  public-key: classpath:certs/public.pem
  private-key: classpath:certs/private.pem

storage:
  location: documents
  payment: payment
  meeting: meeting
  instrument: instrument
  recycle: bin
  review: review
  profile: profile
  clip: clip
  welcomeVideo: welcomeVideo
  
instagram:
  access-token: IGQWRNcnF1UjBBaU9QMUJUc0cyeUxHNU5SRGo2aWI5RGRYSmpyRFBIUFVDRG03eEhzMFBXck9hcFNiZA25qOERJRld2Q0ZAqTWN6S0VNaVZASUzBBckJKRXl5LXp1UEFQRVpvMjhCQTBhc3EwNlZAJZA0pybDVudkJkYTgZD

resetPassword:
  url: https://tunefor2.com/newpassword/
#   url: https://testing_demo.cavinkare.in/tune_for_2/newpassword/
    
resetTokenExpiration:
  seconds:  3600

adminMail:
  id: martinkartenjer@tunefor2.com
  contact: smartinkartenjer@gmail.com
  payment: smartinkartenjer@gmail.com
#  contact: divya.th@hepl.com
#  payment: divya.th@hepl.com
  
baseUrl:  
  frontend: https://tunefor2.com/
  backend: https://tunefor2.com/tune/api/v1/form/songDownload/
  orderTracker: https://tunefor2.com/trackOrder/
#   frontend: https://testing_demo.cavinkare.in/tune_for_2/
#   backend: https://api.cavinkare.in/tune/api/v1/form/songDownload/
#   orderTracker: https://testing_demo.cavinkare.in/tune_for_2/trackOrder/
  
razorPayCredentials:
  keyId: rzp_live_WBH7rGP04GwuQK
  keySecret: MRdnZEkkj7ikFdcwiJTbzoV9

com:
  custom:
    reset-link: https://tunefor2.com/tune/api/swagger-ui/index.html
    isSignUp: true
    swagger-path: /tune/api/
    swagger-live-path: /tune/api/
    role-inactive: 65eaa70bd107bf5456f2d88e,65ebefe4cda8d30b560e923f
#     reset-link: https://api.cavinkare.in/tune/api/swagger-ui/index.html
#     isSignUp: true
#     swagger-path: /tune/api/
#     swagger-live-path: /tune/api/
#     role-inactive: 65eaa70bd107bf5456f2d88e,65ebefe4cda8d30b560e923f